MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001960VCMIAI - Adventure Mappublic2014-11-20 11:252016-09-12 13:12
ReporterPovelitel 
Assigned ToSXX 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionunable to reproduce 
PlatformOSOS Version
Product Version0.97 
Target VersionFixed in Version0.99 
Summary0001960: Crash turn AI
Description
15:18:40.320640 TRACE network [8ec] - Listening...
15:18:40.320640 TRACE ai [be0] - Entering void __thiscall VCAI::performObjectInteraction(const class CGObjectInstance *,struct HeroPtr): Hero Ian Brady and object Marshank, Fortress at 142 39 1.
15:18:40.320640 TRACE network [be0] - Sending a request "struct BuyArtifact". It'll have an ID=491.
15:18:40.320640 TRACE network [be0] - Sending to server a pack of type struct BuyArtifact
15:18:40.320640 TRACE global [be0] - We'll wait till request 491 is answered.

15:18:40.320640 TRACE network [8ec] - received server message of type struct SetResource, data: {CPack: type '102'}
15:18:40.320640 TRACE network [8ec] - Made first apply on cl
15:18:40.320640 TRACE network [8ec] - Applied on gs
15:18:40.320640 TRACE ai [8ec] - Entering void __thiscall VCAI::receivedResource(int,int): type '6', val '34763'.
15:18:40.320640 TRACE ai [8ec] - Leaving void __thiscall VCAI::receivedResource(int,int).
15:18:40.320640 TRACE network [8ec] - Made second apply on cl
15:18:40.320640 TRACE network [8ec] - Listening...
15:18:40.320640 TRACE network [8ec] - received server message of type struct NewArtifact, data: {CPack: type '520'}
15:18:40.320640 TRACE network [8ec] - Made first apply on cl
15:18:40.320640 TRACE network [8ec] - Applied on gs
15:18:40.320640 TRACE network [8ec] - Made second apply on cl
15:18:40.320640 TRACE network [8ec] - Listening...
15:18:40.320640 TRACE network [8ec] - received server message of type struct PutArtifact, data: {CPack: type '1'}
15:18:40.320640 TRACE network [8ec] - Made first apply on cl
TagsNo tags attached.
Attached Filesrar file icon AI crash3.rar [^] (1,410,203 bytes) 2014-11-20 11:25
txt file icon VCMI_Client_log.txt [^] (1,868,118 bytes) 2014-11-20 11:25
txt file icon VCMI_Server_log.txt [^] (1,090,424 bytes) 2014-11-20 11:25

- Relationships
related to 0002324assignedSXX Segfault when buying spellbook 

-  Notes
(0005240)
Warmonger (administrator)
2014-12-21 11:48

The issue is that hero is buying Spellbook at guild but is given Pendant of Death to that slot (already worn on the neck). No idea where does this change come from.
(0006660)
SXX (administrator)
2016-09-12 13:12

Since it's old save that can be loaded I'll try to investigate 0002324 instead since it's similar problem. Closing.

- Issue History
Date Modified Username Field Change
2014-11-20 11:25 Povelitel New Issue
2014-11-20 11:25 Povelitel Status new => assigned
2014-11-20 11:25 Povelitel Assigned To => Warmonger
2014-11-20 11:25 Povelitel File Added: AI crash3.rar
2014-11-20 11:25 Povelitel File Added: VCMI_Client_log.txt
2014-11-20 11:25 Povelitel File Added: VCMI_Server_log.txt
2014-12-21 11:48 Warmonger Note Added: 0005240
2014-12-21 11:48 Warmonger Status assigned => confirmed
2016-09-12 13:04 SXX Relationship added related to 0002324
2016-09-12 13:12 SXX Note Added: 0006660
2016-09-12 13:12 SXX Status confirmed => closed
2016-09-12 13:12 SXX Assigned To Warmonger => SXX
2016-09-12 13:12 SXX Resolution open => unable to reproduce
2016-09-12 13:12 SXX Fixed in Version => 0.99

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean